This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1022162 - sblim-cim-client2: remove versioned jars from %{_javadir}
sblim-cim-client2: remove versioned jars from %{_javadir}
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: sblim-cim-client2 (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vitezslav Crhonek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1022024
  Show dependency treegraph
 
Reported: 2013-10-22 11:53 EDT by Stanislav Ochotnicky
Modified: 2013-11-07 02:03 EST (History)
1 user (show)

See Also:
Fixed In Version: sblim-cim-client2-2.2.4-2.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-07 02:03:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stanislav Ochotnicky 2013-10-22 11:53:08 EDT
Package sblim-cim-client2 seems to contain versioned jar files in %{_javadir}
(/usr/share/java). Such versioned files cause problems for automatic
requires generation and violate packaging guidelines[1].

List of subpackages and contained versioned jars
sblim-cim-client2:
/usr/share/java/sblim-cim-client2-2.2.1.jar
/usr/share/java/sblim-cim-client2.jar


There are cases where this can be a false positive. Most likely if:
   * your package is compatibility version and contains only versioned
     jars
   * your package has version in the name of jars that are part of
     package name

Thank you,

[1] https://fedoraproject.org/wiki/Packaging:Java#Filenames

Note You need to log in before you can comment on or make changes to this bug.